﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewUserTagDb(engine *xorm.Engine) dao.UserTagDao {
	return &UserTagDb{Db: engine}
}

type UserTagDb struct {
	Db *xorm.Engine
}

func (u UserTagDb) UserTagAllByAsc() ([]*model.UserTag, error) {
	var m []*model.UserTag
	err := u.Db.Asc("id").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return m, nil
}
